astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Time and Dates (`astropy.time`) »
- TimeUnix

# TimeUnix

class `astropy.time.``TimeUnix`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.TimeFromEpoch`

  Unix time: seconds from 1970-01-01 00:00:00 UTC. For example, 946684800.0 in Unix time is midnight on January 1, 2000.

  NOTE: this quantity is not exactly unix time and differs from the strict POSIX definition by up to 1 second on days with a leap second. POSIX unix time actually jumps backward by 1 second at midnight on leap second days while this class value is monotonically increasing at 86400 seconds per UTC day.

  Attributes Summary

  `epoch_format` |
  `epoch_scale` |
  `epoch_val` |
  `epoch_val2` |
  `name` |
  `unit` |

  Attributes Documentation

  `epoch_format` = u'iso'
  `epoch_scale` = u'utc'
  `epoch_val` = u'1970-01-01 00:00:00'
  `epoch_val2` = None
  `name` = u'unix'
  `unit` = 1.1574074074074073e-05